%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}

Name:       s6
Version:    2.7.2.2
Release:    1%{?dist}
Summary:    s6 is a small suite of programs for UNIX, designed to allow process supervision (a.k.a service supervision)

Group:      System Environment/Libraries
License:    ISC
URL:        http://skarnet.org/software/%{name}
Source0:    %{url}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make glibc skalibs execline
Requires:       skalibs execline

%description
s6 is a small suite of programs for UNIX, designed to
allow process supervision (a.k.a service supervision),
in the line of daemontools and runit, as well as
various operations on processes and daemons.

%prep
%setup -q

%build
%configure --exec-prefix=/usr/local --bindir=/usr/local/bin --dynlibdir=/usr/lib64 --libdir=/usr/lib64/%{name} --with-dynlib=/usr/lib64 --with-lib=/usr/lib64/execline --with-lib=/usr/lib64/skalibs --with-sysdeps=/usr/lib64/skalibs/sysdeps
make %{?_smp_mflags}

%install
export DONT_STRIP=1
make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root,-)
/usr/local/bin/*
%{_libdir}/*
%{_libexecdir}/*
%{_includedir}/*

%changelog
* Sat Dec 10 2016 chenguodong - 2.2.0.0
- first build rpm without doc for docker

